## triggerhappy 0.3.4

=== Makefile ===
PREFIX:=/usr/
DESTDIR:=/
BINDIR:=$(DESTDIR)/$(PREFIX)/sbin/
MANDIR:=$(DESTDIR)/$(PREFIX)/share/man/man1/

VERSION:=$(shell cat version.inc)

THD_COMPS := thd keystate trigger eventnames devices cmdsocket obey ignore uinput triggerparser
THCMD_COMPS := th-cmd cmdsocket

MAKEDEPEND = $(CC) -M -MG $(CPPFLAGS) -o $*.d $<

LINUX_INPUT_H := $(shell echo '\#include <linux/input.h>' | $(CC) $(CPPFLAGS) -M -E - | awk 'NR==1 {print $$2}')

all: thd th-cmd man

man: thd.1 th-cmd.1

thd: $(THD_COMPS:%=%.o)

th-cmd: $(THCMD_COMPS:%=%.o)

%.1: %.pod
	pod2man \
		--center="Triggerhappy daemon" \
		--section=1 \
		--release="$(VERSION)" \
		$< > $@

evtable_%.h: $(LINUX_INPUT_H)
	awk '/^#define $*_/ && $$2 !~ /_(MAX|CNT|VERSION)$$/ {print "EV_MAP("$$2"),"}' $< > $@

version.h: version.inc
	sed -r 's!(.*)!#define TH_VERSION "\1"!' $< > $@

clean:
	rm -f *.d
	rm -f *.o
	rm -f evtable_*.h
	rm -f version.h
	rm -f thd th-cmd
	rm -f thd.1 th-cmd.1

install: all
	install -D thd $(BINDIR)/thd
	install -D th-cmd $(BINDIR)/th-cmd
	install -D thd.1 $(MANDIR)/thd.1
	install -D th-cmd.1 $(MANDIR)/th-cmd.1

%.d : %.c
	$(MAKEDEPEND)

-include $(THD_COMPS:%=%.d) $(THCMD_COMPS:%=%.d)

=== debian/changelog ===
triggerhappy (0.3.4-2) unstable; urgency=low

  * beautify packaging information
  * First upload to Debian (Closes: #603842)

 -- Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>  Wed, 13 Apr 2011 21:02:29 +0200

triggerhappy (0.3.4-1) unstable; urgency=low

  * fix segfault when dumping non-key events
  * update udev rules (SYSFS->ATTRS)

 -- Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>  Wed, 09 Mar 2011 14:50:48 +0100

triggerhappy (0.3.3-1) unstable; urgency=low

  [ Stefan Tomanek ]
  * add licence headers to source files
  * increase version to 0.3.3

 -- Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>  Mon, 14 Feb 2011 13:15:54 +0100

triggerhappy (0.3.2-1) unstable; urgency=low

  * increase version to 0.3.2
  * various bugfixes and code cleanups

 -- Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>  Tue, 21 Dec 2010 13:16:52 +0100

triggerhappy (0.3.1-1) unstable; urgency=low

  * introduce CMD_NOP to ensure type safety
  * increase version number to 0.3.1
  * modify package description

 -- Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>  Sat, 18 Dec 2010 15:00:06 +0100

triggerhappy (0.3.0-1) unstable; urgency=low

  * rework config file parser
  * improve error detection for modifiers
  * improve error reporting
  * improve dropping of privileges
  * allow tagging of devices
  * new upstream version 0.3.0

 -- Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>  Fri, 10 Dec 2010 11:14:00 +0100

triggerhappy (0.2.1-1) unstable; urgency=low

  * fix segmentation fault when handling comment lines

 -- Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>  Mon, 06 Dec 2010 02:04:31 +0100

triggerhappy (0.2.0-1) unstable; urgency=low

  * optionally grab the device exclusively
  * add uinput support for generating synthetic events
  * update udev rule
  * add version information into build

 -- Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>  Mon, 06 Dec 2010 01:15:00 +0100

triggerhappy (0.1.6-2) unstable; urgency=low

  * change manpage sections according to "man 7 man-pages"
  * drop root privileges by default

 -- Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>  Mon, 22 Nov 2010 09:12:18 +0100

triggerhappy (0.1.6-1) unstable; urgency=low

  * fix typo in changelog
  * suppress mode change message on startup
  * ignore the triggering key while checking modifier

 -- Stefan Tomanek <stefan.tomanek+th@wertarbyte.de>  Sun, 21 Nov 2010 22:17:50 +0100

triggerhappy (0.1.5-1) unstable; urgency=low

  * add "mode" support
  * make trigger mode changeable through th-cmd
  * try to autodetect the location of <linux/input.h>

 -- Stefan Tomanek <stefan.tomanek+th@wertarbyte.de>  Thu, 18 Nov 2010 15:36:06 +0100

triggerhappy (0.1.4-1) unstable; urgency=low

  [ Eduard Bloch ]
  * Minor modifications for better code safety

  [ Stefan Tomanek ]
  * update th-cmd cmdline parsing and add --clear
  * make --dump print skeleton lines for trigger conf
  * fix "Provides" in init script
  * fix typos in man page
  * fix description
  * add debian/watch

 -- Stefan Tomanek <stefan.tomanek+th@wertarbyte.de>  Thu, 18 Nov 2010 01:24:22 +0100

triggerhappy (0.1.3-1) unstable; urgency=low

  * drop root with --user <name>
  * use sendmsg/recvmsg for socket communication
  * send opened fd from th-cmd to daemon
  * enhance init script and default config

 -- Stefan Tomanek <stefan.tomanek+th@wertarbyte.de>  Fri, 29 Oct 2010 21:06:12 +0200

triggerhappy (0.1.2-1) unstable; urgency=low

  * autogenerate event mapping table
  * add --listevents to list known event names

 -- Stefan Tomanek <stefan.tomanek+th@wertarbyte.de>  Thu, 28 Oct 2010 15:04:30 +0200

triggerhappy (0.1.1-1) unstable; urgency=low

  * fix off-by-one error in conf file filtering routine

 -- Stefan Tomanek <stefan.tomanek+th@wertarbyte.de>  Wed, 27 Oct 2010 16:49:16 +0200

triggerhappy (0.1.0-1) unstable; urgency=low

  * Initial release

 -- Stefan Tomanek <stefan.tomanek+th@wertarbyte.de>  Sat, 23 Oct 2010 10:59:38 +0200

=== debian/control ===
Source: triggerhappy
Section: utils
Priority: extra
Maintainer: Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.2
Homepage: http://github.com/wertarbyte/triggerhappy
Vcs-Git: git://github.com/wertarbyte/triggerhappy.git
Vcs-Browser: http://github.com/wertarbyte/triggerhappy

Package: triggerhappy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: global hotkey daemon for Linux
 Triggerhappy watches connected input devices for certain key presses
 or other input events and runs administrator-configured
 commands when they occur. Unlike other hotkey daemons, it runs as a
 persistent, systemwide service and therefore can be used even
 outside the context of a user or X11 session.
 .
 It can handle a wide variety of devices (keyboards, joysticks,
 wiimote, etc.), as long as they are presented by the kernel as
 generic input devices. No kernel patch is required. The daemon is
 a userspace program that polls the /dev/input/event? interfaces
 for incoming key, button and switch events. A single daemon can
 monitor multiple input devices and can dynamically add additional
 ones. Hotkey handlers can be assigned to dedicated (tagged) devices
 or globally.
 .
 For example, this package might be useful on a headless system to
 use input events generated by a remote control to control an
 mpd server, but can also be used to allow the adjustment of audio
 and network status on a notebook without relying on user specific
 configuration.
 .
 Key combinations are supported as well as the hotplugging of devices
 using a udev hotplug script; the running daemon can also be influenced
 by a client program, e.g. to temporarily pause the processing of
 events or switch to a different set of hotkey bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
%:
	dh $@

=== debian/watch ===
version=3
http://githubredir.debian.net/github/wertarbyte/triggerhappy/ release/(.*).tar.gz

## triggerhappy 0.4.0

=== debian/changelog ===
triggerhappy (0.4.0-1) unstable; urgency=low

  * update to new upstream version 0.4.0 (Closes: #827079, #769184, #652120)
  * use Debian Standard-Version 3.9.8
  * bump compat level to 9
  * update VCS URLs
  * add machine readable debian/copyright file

 -- Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>  Sun, 12 Jun 2016 13:50:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: extra
 Maintainer: Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.2
-Homepage: http://github.com/wertarbyte/triggerhappy
-Vcs-Git: git://github.com/wertarbyte/triggerhappy.git
-Vcs-Browser: http://github.com/wertarbyte/triggerhappy
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.8
+Homepage: https://github.com/wertarbyte/triggerhappy
+Vcs-Git: https://github.com/wertarbyte/triggerhappy.git
+Vcs-Browser: https://github.com/wertarbyte/triggerhappy
 
 Package: triggerhappy
 Architecture: any

=== debian/watch ===
version=3
https://github.com/wertarbyte/triggerhappy/tags .*/(.*)\.tar\.gz

## triggerhappy 0.5.0

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,17 @@
 DESTDIR:=/
 BINDIR:=$(DESTDIR)/$(PREFIX)/sbin/
 MANDIR:=$(DESTDIR)/$(PREFIX)/share/man/man1/
+
+PKGCONFIG = pkg-config
+HAVE_PKGCONFIG = $(shell $(PKGCONFIG) --version 2>/dev/null || echo no)
+ifneq ($(HAVE_PKGCONFIG),no)
+HAVE_SYSTEMD = $(shell $(PKGCONFIG) --exists libsystemd && echo 1 || echo 0)
+ifeq ($(HAVE_SYSTEMD),1)
+CPPFLAGS += -DHAVE_SYSTEMD=1
+CFLAGS += $(shell $(PKGCONFIG) --cflags libsystemd)
+LDLIBS += $(shell $(PKGCONFIG) --libs libsystemd)
+endif
+endif
 
 VERSION:=$(shell cat version.inc)
 
@@ -9,8 +20,6 @@
 THCMD_COMPS := th-cmd cmdsocket
 
 MAKEDEPEND = $(CC) -M -MG $(CPPFLAGS) -o $*.d $<
-
-LINUX_INPUT_H := $(shell echo '\#include <linux/input.h>' | $(CC) $(CPPFLAGS) -M -E - | awk 'NR==1 {print $$2}')
 
 all: thd th-cmd man
 
@@ -27,8 +36,11 @@
 		--release="$(VERSION)" \
 		$< > $@
 
-evtable_%.h: $(LINUX_INPUT_H)
-	awk '/^#define $*_/ && $$2 !~ /_(MAX|CNT|VERSION)$$/ {print "EV_MAP("$$2"),"}' $< > $@
+linux_input_defs_gen.inc:
+	echo "#include <linux/input.h>" | $(CC) $(CPPFLAGS) -dM -E - > $@
+
+evtable_%.inc: linux_input_defs_gen.inc
+	awk '/^#define $*_/ && $$2 !~ /_(MIN_INTERESTING|MAX|CNT|VERSION)$$/ {print "EV_MAP("$$2"),"}' $< > $@
 
 version.h: version.inc
 	sed -r 's!(.*)!#define TH_VERSION "\1"!' $< > $@
@@ -36,7 +48,8 @@
 clean:
 	rm -f *.d
 	rm -f *.o
-	rm -f evtable_*.h
+	rm -f linux_input_defs_gen.inc
+	rm -f evtable_*.inc
 	rm -f version.h
 	rm -f thd th-cmd
 	rm -f thd.1 th-cmd.1

=== debian/changelog ===
triggerhappy (0.5.0-1) unstable; urgency=medium

  * add new upstream release 0.5.0 (Closes: #834637, #835980)

 -- Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>  Tue, 30 Aug 2016 09:26:25 +0200

triggerhappy (0.4.0-2) unstable; urgency=low

  * add build dependency for linux-libc-dev
  * add build dependency for pkg-config
  * add systemd dependencies and support files
  * enable hardening flags in debian/rules
  * refine debian/watch pattern

 -- Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>  Tue, 26 Jul 2016 11:37:03 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: utils
 Priority: extra
 Maintainer: Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 9), linux-libc-dev, pkg-config, libsystemd-dev, dh-systemd (>= 1.5)
 Standards-Version: 3.9.8
 Homepage: https://github.com/wertarbyte/triggerhappy
 Vcs-Git: https://github.com/wertarbyte/triggerhappy.git
 Vcs-Browser: https://github.com/wertarbyte/triggerhappy
 
 Package: triggerhappy
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libsystemd0
 Description: global hotkey daemon for Linux
  Triggerhappy watches connected input devices for certain key presses
  or other input events and runs administrator-configured

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with=systemd

=== debian/watch ===
version=3
https://github.com/wertarbyte/triggerhappy/tags .*/archive/release/(.*)\.tar\.gz
